//************************************
// Robot Crystalino
//
// Saca piezas Crystalino. Usaando el campo de pruebas, saca las piezas
// que se encuentran dentro del círculo de sumo
//
// Nov-2018  www.complubot.com
//************************************

// Librería de funciones del robot Crystalino
#include "Crystalino.h"

void setup()
{
  //Inicializa el robot Crystalino
  ini_crystalino();

  //Espera se apriete y suelte el pulsador
  espera_pulsado();
  beep();

  //Muestra color verde
  muestra_rgb(VERDE);
}

void loop()
{
  int contador;

  // Mueve a la línea inicial detctando con el sensor izquierdo
  mueve_crystalino(100);
  while (analogRead(SUELO_IZQ) < 500);
  while (analogRead(SUELO_IZQ) > 500);
  
  //Avanza hasta la segunda línea del campo
  for (contador = 0; contador < 2; contador ++)
  {
    while (analogRead(SUELO_IZQ) < 500);
    while (analogRead(SUELO_IZQ) > 500);
    beep();
  }

  //Gira 90º, ajustar delay si es necesario
  gira_crystalino(100);
  delay(800);
  
  //Entra en el círculo
  mueve_crystalino(100);
  while (analogRead(SUELO_IZQ) < 500);
  while (analogRead(SUELO_IZQ) > 500);
  beep();

  //Saca las piezas del círculo
  while (true)
  {
    if (analogRead(SUELO_IZQ) > 500)
    {
      mueve_crystalino(-100);
      delay(500);
      
      gira_crystalino(100);
      delay(random(500,2000));
    }

    mueve_crystalino(100);
  }
}
