//************************************
// Robot Crystalino
//
// Movimientos Crystalino. Realiza una secuencia de movimientos básicos
//
// Nov-2018  www.complubot.com
//************************************

// Librería de funciones del robot Crystalino
#include "Crystalino.h"

void setup()
{
  //Inicializa el robot Crystalino
  ini_crystalino();

  //Espera se apriete y suelte el pulsador
  espera_pulsado();
  beep();
}

void loop()
{
  //Avanaza robot Crystalino y muestra color verde
  mueve_crystalino(100);
  muestra_rgb(VERDE);
  delay(2000);
  
  //Para robot Crystalino y muestra color rojo
  para_crystalino();
  muestra_rgb(ROJO);
  delay(2000);

  //Retrocede robot Crystalino y muestra color verde
  mueve_crystalino(-100);
  muestra_rgb(VERDE);
  delay(2000);
  
  //Para robot Crystalino y muestra color rojo
  para_crystalino();
  muestra_rgb(ROJO);
  delay(2000);

  //Gira robot Crystalino y muestra color verde
  gira_crystalino(100);
  muestra_rgb(VERDE);
  delay(2000);

  //Para robot Crystalino y muestra color rojo
  para_crystalino();
  muestra_rgb(ROJO);
  delay(2000);

  //Gira robot Crystalino y muestra color verde
  gira_crystalino(-100);
  muestra_rgb(VERDE);
  delay(2000);

  //Para robot Crystalino y muestra color rojo
  para_crystalino();
  muestra_rgb(ROJO);
  delay(2000);
}
