//************************************
// Robot Crystalino
//
// Sigue líneas Crystalino. Hace que el robot sigua una línea negra sobre un fondo blanco
//
// Nov-2018  www.complubot.com
//************************************

// Librería de funciones del robot Crystalino
#include "Crystalino.h"

void setup()
{
  //Inicializa el robot Crystalino
  ini_crystalino();

  //Espera se apriete y suelte el pulsador
  espera_pulsado();
  beep();

  //Muestra color verde
  muestra_rgb(VERDE);
}

void loop()
{
  //Controla el moviento del motor de la izquierda
  //con la información del sensor de suelo de la izquierda del robot
  if(analogRead(SUELO_IZQ)>500)
    mueve_motor(0, MOTOR_IZQ);
  else
    mueve_motor(100, MOTOR_IZQ);

  //Controla el moviento del motor de la derecha
  //con la información del sensor de suelo de la derecha del robot
  if(analogRead(SUELO_DER)>500)
    mueve_motor(0, MOTOR_DER);
  else
    mueve_motor(100, MOTOR_DER);
}