//************************************
// Robot Crystalino
//
// Sumo Crystalino. Juega al sumo en un campo blanco delimitado por una línea negra.
// Detecta al contrario mediante el sensor de distancias por ultrasonidos.
//
// Nov-2018  www.complubot.com
//************************************

// Librería de funciones del robot Crystalino
#include "Crystalino.h"

void setup()
{
  //Inicializa el robot Crystalino
  ini_crystalino();

  //Espera se apriete y suelte el pulsador
  espera_pulsado();
  beep();
}

void loop()
{
  //Si detecta al contrario, avanza a por él
  //en caso contrario, gira esperándolo
  if(distancia_crystalino() < 15)
  {
    mueve_crystalino(100);
    muestra_rgb(VERDE);
    delay(100);
  }
  else
  {
    gira_crystalino(40);
    muestra_rgb(ROJO);
  }
  
  //Retrocede si encuentra el borde
  if(analogRead(SUELO_IZQ)>500)
  {
    mueve_crystalino(-100);
    delay(1000);
  }
}
